<?php

namespace Drupal\ckeditor_text_transformation\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "AutoCorrect" plugin.
 *
 * @CKEditorPlugin(
 *   id = "autocorrect",
 *   label = @Translation("AutoCorrect"),
 *   module = "ckeditor_text_transformation"
 * )
 */
class AutoCorrect extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return '/libraries/autocorrect/autocorrect/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'AutoCorrect' => [
        'label' => $this->t('AutoCorrect'),
        'image' => '/libraries/autocorrect/autocorrect/icons/autocorrect.png',
      ],
    ];
  }

}
